查询头程物流渠道列表
POST
/erp/sc/data/local_inventory/channelList对应系统【物流】-》【头程物流】-》【物流渠道】数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/local_inventory/channelList | HTTPS | POST | 1 |
请求参数
offsetinteger必填lengthinteger必填请求示例
{
"offset": 0,
"length": 20
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
idinteger必填channel_namestring必填method_idstring必填method_namestring必填billing_typeinteger必填volume_calc_paramstring必填zip_codestring必填valid_periodinteger必填remarkstring必填enabledinteger必填last_modify_uidinteger必填gmt_modifiedstring必填providerobject必填隐藏子属性
idstring必填logistics_provider_namestring必填freightarray<object>必填隐藏子属性
country_codestring必填region_codestring必填billing_weight_startnumber必填billing_pricenumber必填send_place_codestring必填receive_country_codestring必填is_include_taxinteger必填is_points_behindinteger必填points_behind_coeffientnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "C86C5A38-E441-3C6A-9D68-BCD59CBB9183",
"response_time": "2023-07-06 18:43:46",
"data": [
{
"id": "1",
"channel_name": "测试7777",
"billing_type": 0,
"volume_calc_param": 5000,
"zip_code": "efef",
"valid_period": 0,
"remark": "1111111",
"last_modify_uid": 10317908,
"gmt_modified": "2023-04-21 17:44:28",
"provider": {
"id": "3",
"logistics_provider_name": "test10"
},
"freight": [
{
"country_code": "",
"region_code": "",
"billing_weight_start": "0.00",
"billing_price": "5.00"
}
],
"send_place_codes": [],
"receive_country_codes": [],
"is_include_tax": 0,
"is_points_behind": 0,
"points_behind_coeffient": 0
}
],
"total": 1
}